From: Andrew Shadura <andrew@shadura.me>
Subject: Fix +COPS response parsing: additional numeric argument possible (Closes: #674856).

diff --git a/gsmlib/gsm_me_ta.cc b/gsmlib/gsm_me_ta.cc
--- a/gsmlib/gsm_me_ta.cc
+++ b/gsmlib/gsm_me_ta.cc
@@ -376,6 +376,20 @@ std::vector<OPInfo> MeTa::getAvailableOP
           else
             throw e;
         }
+        try
+        {
+          opi._numericName = p.parseComma();
+          p.parseInt(true);
+        }
+        catch (GsmException &e)
+        {
+          if (e.getErrorClass() == ParserError)
+          {
+            /* okay */
+          }
+          else
+            throw e;
+        }
         if (expectClosingBracket) p.parseChar(')');
         result.push_back(opi);
         if (! p.parseComma(true)) break;
